defmodule OpencadcRegistryClient.MixProject do
  use Mix.Project

  def project do
    [
      app: :opencadc_registry_client,
      version: "0.3.0",
      elixir: "~> 1.6",
      description: "IVOA registry client to lookup IVOA services.",
      start_permanent: Mix.env() == :prod,
      build_embedded: Mix.env() == :prod,
      package: package(),
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger, :httpoison]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:httpoison, "~> 1.1.1"},
      {:ex_doc, github: "elixir-lang/ex_doc", override: true, only: :dev}
    ]
  end

  # For hex publishing.
  defp package do
    [
      files: ["lib", "mix.exs", "README*", "config", "LICENSE*"],
      maintainers: ["Dustin Jenkins (djenkins.cadc@gmail.com)"],
      licenses: ["GNU General Public License v3.0"],
      links: %{"GitHub" => "https://github.com/at88mph/opencadc_registry_client"}
    ]
  end
end
